/*  cssed (c) Iago Rubio, 2003-2004 - A tiny CSS editor.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
void
cssed_error_message (gchar * message, gchar * title);

gchar*
gdk_color_to_rgb_triplet_string( GdkColor* color);

gint
gdk_color_to_scintilla_integer_color( GdkColor* color );

GtkWidget*
create_custom_button_from_stock(gchar* label_text,gchar *stock_id);

gchar*
allocated_buffer_add_string(gchar* buffer, const gchar* string);

GtkWidget*
create_ok_cancel_dialog (gchar* title, gchar* message);

GtkWidget*
create_unsaved_files_dialog (void);

void
init_default_config( Tcssed_window *window );

void
save_config_to_file(Tcssed_window* window);

void 
cssed_window_config_copy_style_and_defaults( Tcssed_cfg* source, Tcssed_cfg* target );

gboolean
char_ptr_is_decimal_num(gchar* ptr);
